bf-blender Linux glibc 2.2.5 static + dynamic

User-contributed CVS development builds. Please test and give feedback!

Moderators: jesterKing, stiv

Michel
Posts: 208
Joined: Wed Oct 16, 2002 7:27 pm
Location: Somewhere below the rivers in Holland (but not Limburg)

bf-blender Linux glibc 2.2.5 static + dynamic

Postby Michel » Wed Apr 07, 2004 6:57 pm

Hey,

A test build with all updates up until april 6th (yes, I know, that's yesterday) is available on the link below. Please test. These builds have been made on the system I normally use to build the official Blender binaries for Linux. If something is wrong, it most likely will be wrong when Blender is released :D

Main purpose was for me to be sure I had all the necessary libraries correctly on the system.

Features available:
- Release build system used. (Still with Makefiles)
- Game engine
- Internationalization support
- FreeType2 font support
- OpenAL in Game engine
- Python 2.3.2 (Yes, Blender 2.33 will use this version of Python. No more support for Python 2.2.x)

Note: I renamed the packages manually, but the content unpacks as if it were Blender 2.32. So beware not to overwrite the official Blender 2.32 version on your system!

Get them here

With regards,
Michel
Last edited by Michel on Thu Apr 08, 2004 10:39 pm, edited 1 time in total.
You can have one of two things: Progress or Progress Reports.

OTO
Posts: 430
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Postby OTO » Wed Apr 07, 2004 9:48 pm

Hello

I've got a seg fault either with the dynamic and the static versions
in a Mandrake 10 :(

Erufailon
Posts: 28
Joined: Wed Jan 07, 2004 11:48 am

Postby Erufailon » Wed Apr 07, 2004 11:19 pm

try mine please, it's under this, actually it's a 04/07 build, dynamic, and has the same things compiled in, except for the python, I'm not sure about that.
I'm not advertising, but really curious. O, and it's built with scons.

OTO
Posts: 430
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Postby OTO » Thu Apr 08, 2004 7:44 am

Hi Erufailon

well, your build works quite well and some demos I've tried seems to work fine too
Thank you

Michel
Posts: 208
Joined: Wed Oct 16, 2002 7:27 pm
Location: Somewhere below the rivers in Holland (but not Limburg)

Postby Michel » Thu Apr 08, 2004 8:10 am

OTO wrote:Hello

I've got a seg fault either with the dynamic and the static versions
in a Mandrake 10 :(

Hi,

when do you get a segfault? At startup, doing some modelling, running a Python script, rendering, ....? Please, give some more insight.

With regards,
Michel
You can have one of two things: Progress or Progress Reports.

UglyMike
Posts: 34
Joined: Wed Oct 16, 2002 9:34 am

Postby UglyMike » Thu Apr 08, 2004 10:24 am

Wohoo!!! Michel, you're my hero!!

Running it (static) on Mandrake 10 Community: no problem whatsoever. (so OTO's segfault is probably related to something else....)

Still haven't played a lot with it though I'm especially interested in the 2.3 Python implementation.... Played around a bit with Flippyneck's Twist and Taper script. This is the only one I have that registers in the menus.... (will have to dig find some more...) I realise that Twist&Taper does not use the full Puython install....

basse
Posts: 22
Joined: Tue Oct 15, 2002 11:10 pm

Postby basse » Thu Apr 08, 2004 3:16 pm

well, I hope it will not be like this on the final version..

this is what I got:

[basse@kone ~/blender-2.32-linux-glibc2.2.5-i386] $ ./blender
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Segmentation fault


.b

OTO
Posts: 430
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Postby OTO » Thu Apr 08, 2004 5:42 pm

Hi again

I only get "import site failed" and a seg fault at startup

It's weird, cause I've tried all the builds available and even tohupu and they
work
Bye

Michel
Posts: 208
Joined: Wed Oct 16, 2002 7:27 pm
Location: Somewhere below the rivers in Holland (but not Limburg)

Postby Michel » Thu Apr 08, 2004 9:34 pm

basse wrote:this is what I got:

[basse@kone ~/blender-2.32-linux-glibc2.2.5-i386] $ ./blender
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Segmentation fault


ugh, that's not good indeed.

What python version have you installed on your system? From blender 2.33 onwards, we'll use Python 2.3.x in the release. So you need to update the python version on your system. This will result in a conflict with the blender versions up to 2.32 - I know. :cry:

Weird thing is, I don't get the segfault. I will try to investigate this problem further.

With regards,
Michel
You can have one of two things: Progress or Progress Reports.

Napoleon
Posts: 63
Joined: Tue Jan 27, 2004 6:08 pm

Postby Napoleon » Tue Apr 13, 2004 8:05 pm

basse wrote:
this is what I got:

[basse@kone ~/blender-2.32-linux-glibc2.2.5-i386] $ ./blender
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix> ]
'import site' failed; use -v for traceback
Segmentation fault



Try this... in an xterm, type;

export PYTHONHOME="/usr"
/path/to/blender

If blender runs without complaints, you can put the 'export PYTHONHOME="/usr"' string into your ~/.bash_profile to have it set automatically every time you login.

As for the segmentattion fault, i'm also getting the same error whenever i try to render with yafray using latest test build.

M-M
Posts: 8
Joined: Wed Oct 16, 2002 1:08 am

Postby M-M » Wed Apr 14, 2004 11:55 pm

I've got exactly the same thing with RH 9.0. After set PYTHONHOME the segmentation faullt is again here but the error reduce to:

------------------------------
'import site' failed; use -v for traceback
Segmentation fault
-------------------------------

I've try other ( good and falses ) values for PYTHONHOME and results are identics.

M-M
Posts: 8
Joined: Wed Oct 16, 2002 1:08 am

Postby M-M » Thu Apr 15, 2004 12:56 am

OK, I find solution for RH.9, PYTHONHOME do nothing and can be empty, just do this:

If echo $PYTHONPATH print nothiing:

export PYTHONPATH="/usr/lib/python2.2/"

If echo $PYTHONPATH print something:

export PYTHONPATH=$PYTHONPATH:/usr/lib/python2.2/

Of course fot python2.2 version, for other versions may be you have to change the last directory in this sample.

With this blender start, i can hope it's work.


Return to “Testing Builds”

Who is online

Users browsing this forum: No registered users and 0 guests